| qspipsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XQspiPsu_Config Struct Reference
QSPIPSU APIs

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Base address of the device. More...
u32 | InputClockHz
| Input clock frequency. More...
u8 | ConnectionMode
| Single, Stacked and Parallel mode. More...
u8 | BusWidth
| Bus width available on board. More...
u8 | IsCacheCoherent
| Describes whether Cache Coherent or not. More...
u8 | IsFbClock
| Describes whether Feed Back clock or not. More...
u8 | BaudRateDiv
| Baud rate divisor to set QSPI clock. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

UINTPTR XQspiPsu_Config::BaseAddress

Base address of the device.

Referenced by QspiPsuFlashNonBlockingReadExample(), QspiPsuInterruptFlashExample(), QspiPsuPolledFlashExample(), QspiPsuWriteProtectFlashExample(), XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_CheckDmaDone(), XQspiPsu_ClearOptions(), XQspiPsu_FillTxFifo(), XQspiPsu_GenFifoEntryData(), XQspiPsu_GenFifoEntryDataLen(), XQspiPsu_GetOptions(), XQspiPsu_Idle(), XQspiPsu_InterruptTransfer(), XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_IORead(), XQspiPsu_PollDataConfig(), XQspiPsu_PollDataHandler(), XQspiPsu_PolledMessageTransfer(), XQspiPsu_PolledRecvData(), XQspiPsu_PolledSendData(), XQspiPsu_PolledTransfer(), XQspiPsu_ReadRxFifo(), XQspiPsu_SetClkPrescaler(), XQspiPsu_SetDefaultConfig(), XQspiPsu_SetIOMode(), XQspiPsu_SetOptions(), XQspiPsu_SetReadMode(), XQspiPsu_Setup64BRxDma(), XQspiPsu_SetupRxDma(), XQspiPsu_SetWP(), XQspiPsu_StartDmaTransfer(), and XQspiPsu_WriteProtectToggle().

u8 XQspiPsu_Config::BaudRateDiv

Baud rate divisor to set QSPI clock.

Referenced by QspiPsuFlashNonBlockingReadExample(), QspiPsuInterruptFlashExample(), QspiPsuPolledFlashExample(), QspiPsuWriteProtectFlashExample(), and XQspiPsu_CfgInitialize().

u8 XQspiPsu_Config::BusWidth

Bus width available on board.

Referenced by QspiPsuFlashNonBlockingReadExample(), QspiPsuInterruptFlashExample(), QspiPsuPolledFlashExample(), QspiPsuWriteProtectFlashExample(), and XQspiPsu_CfgInitialize().

u8 XQspiPsu_Config::ConnectionMode

Single, Stacked and Parallel mode.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashWrite(), GetRealAddr(), MultiDieRead(), QspiPsuConfigurePoll(), QspiPsuFlashNonBlockingReadExample(), QspiPsuInterruptFlashExample(), QspiPsuPolledFlashExample(), QspiPsuWriteProtectFlashExample(), XQspiPsu_CfgInitialize(), and XQspiPsu_WriteProtectToggle().

u16 XQspiPsu_Config::DeviceId

Unique ID of device.

u32 XQspiPsu_Config::InputClockHz

Input clock frequency.

Referenced by XQspiPsu_CfgInitialize(), and XQspiPsu_SetClkPrescaler().

u8 XQspiPsu_Config::IsCacheCoherent

Describes whether Cache Coherent or not.

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_CheckDmaDone(), XQspiPsu_IntrRecvData(), XQspiPsu_PolledRecvData(), and XQspiPsu_SetupRxDma().

u8 XQspiPsu_Config::IsFbClock

Describes whether Feed Back clock or not.

Referenced by XQspiPsu_CfgInitialize(), and XQspiPsu_SetClkPrescaler().